Get New Assembly Orders List
http
GET /api/v3/click-collect/orders/newBase URL: https://marketplace-api.wildberries.ru · Module: in-store-pickup · Section: In-Store Pickup Assembly Orders · Specification doc ↗
The method provides a list of all new assembly orders that the seller has at the time of the request.
Request limit per one seller account for In-Store Pickup assembly orders methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | api.NewOrders |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
429 | Too many requests | object |
Structure 200:
ordersapi.NewOrder[]— Assembly orders listddatestring— Planned delivery datesalePriceinteger<int64>— Seller price in the currency of sale, including seller discount, except the WB Club discount, multiplied by 100requiredMetastring[]— List of label identifiers available for the assembly ordersarticlestring— Seller item numberridstring— Unique order ID. Note:ridcorresponds tosridin the responses of the methods: - Buyers Return Applications - Order Feed - Orders - Sales - Returns and Item Movement Report - Details for the Sales Reports by Report ID - Details for the Sales Reports by Period - Details for the Acquiring Expenses Reports by Report ID - Details for the Acquiring Expenses Reports by PeriodcreatedAtstring— Date and time the assembly order was createdwarehouseAddressstring— Store address (seller warehouse) where the assembly order was receivedorderCodestring— Unique buyer order IDpayModestring— Pay mode: -prepaid— prepaid -postpaid— postpaid -unknown— unknownskusstring[]— Items SKU arrayidinteger<int64>— Assembly order IDwarehouseIdinteger<int64>— Seller warehouse ID where the assembly order was receivednmIdinteger<int64>— WB item numberchrtIdinteger<int64>— Item size ID in WB systempriceinteger<int64>— The price in the currency of sale including all discounts, except WB Wallet discount, multiplied by 100. You can find a currency code in thecurrencyCode. Provided for informational purposes onlyfinalPriceinteger<int64>— The sum charged to the buyer in the currency of sale including all discounts, multiplied by 100. You can find a currency code in thecurrencyCodefield. Provided for informational purposes only. Use the value of thefinalPricefield only if the response of the method for getting seller prices and amounts charged to the buyer returned"data": null. In all other cases, use the value of theoriginalFinalPricefield from the response of the specified methodconvertedPriceinteger<int64>— The price in the currency of the seller country including all discounts, except WB Wallet discount, multiplied by 100. You can find a currency code in thecurrencyCodefield. Provided for informational purposes onlyconvertedFinalPriceinteger<int64>— The sum charged to the buyer in the currency of the seller country including all discounts, multiplied by 100. Provided for informational purposes only. Use the value of theconvertedFinalPricefield only if the response of the method for getting seller prices and amounts charged to the buyer returned"data": null. In all other cases, use the value of theconvertedOriginalFinalPricefield from the response of the same methodcurrencyCodeinteger<ISO 4217>— Sale currency codeconvertedCurrencyCodeinteger<ISO 4217>— Seller country currency codecargoTypeinteger<int64>=1|2|3— Type of cargo: -1— small-sized items -2— over dimensional cargo (ODC) -3— dimensional cargo+ (CD+)isZeroOrderboolean— Indicator of an order for a item with zero inventory: -false— the order is made for a item with a non-zero inventory -true— the order is made for a item with zero inventory. Such an order can be canceled without a cancellation feetireServiceboolean— Whether the buyer indicated that he needs a tire service: -false— no, tire service is not needed -true— yes, tire service is neededoptionsobject— Order optionsisB2bboolean— Indicator of a B2B sale: -false— not B2B sale -true— B2B sale
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data enriching the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.in_store_pickup import Configuration, ApiClient
from wb_api_client.in_store_pickup.api import InStorePickupApi
cfg = Configuration(access_token="<your WB JWT>")
api = InStorePickupApi(ApiClient(cfg))
result = api.get_v3_click_collect_orders_new()
print(result)ts
import {
Configuration,
InStorePickupApi,
} from "@valeryverkhoturov/wb-api-client/in-store-pickup";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new InStorePickupApi(cfg);
const { data } = await api.getV3ClickCollectOrdersNew();
console.log(data);go
import (
"context"
"fmt"
wbinstorepickup "github.com/ValeryVerkhoturov/wb-api-client-go/in_store_pickup"
)
cfg := wbinstorepickup.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbinstorepickup.NewAPIClient(cfg)
result, _, err := client.InStorePickupAPI.GetV3ClickCollectOrdersNew(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.in_store_pickup.ApiClient;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.SecretString;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.api.InStorePickupApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
InStorePickupApi api = new InStorePickupApi(client);
System.out.println(api.getV3ClickCollectOrdersNew());php
use ValeryVerkhoturov\WbApiClient\InStorePickup\Configuration;
use ValeryVerkhoturov\WbApiClient\InStorePickup\SecretString;
use ValeryVerkhoturov\WbApiClient\InStorePickup\Api\InStorePickupApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new InStorePickupApi(new Client(), $config);
print_r($api->getV3ClickCollectOrdersNew());bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый InStorePickupApi(Настройки);
Сообщить(Клиент.GetV3ClickCollectOrdersNew().Тело);csharp
using ValeryVerkhoturov.WbApiClient.InStorePickup.Api;
using ValeryVerkhoturov.WbApiClient.InStorePickup.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new InStorePickupApi(config);
Console.WriteLine(api.GetV3ClickCollectOrdersNew());rust
use wb_api_client::in_store_pickup::apis::{configuration::Configuration, in_store_pickup_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = in_store_pickup_api::get_v3_click_collect_orders_new(&cfg).await;
println!("{:#?}", result);
}